<?php
    session_start(); 
	require_once('../../../ru/update/1.70 - 2.26/inc/conn.php');
	require_once('../../../ru/update/1.70 - 2.26/inc/constant.php');
	require_once('../../../ru/update/1.70 - 2.26/inc/ls_syscode.php');
	require_once('../../../ru/update/1.70 - 2.26/inc/check.php');
	$opendb=new mydb();
	require_once('../../../ru/update/1.70 - 2.26/inc/char_set.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="../../../ru/update/1.70 - 2.26/css/admin.css" rel="stylesheet" type="text/css">
		<title>无标题文档</title>
	</head>

	<body>
<?PHP

	
	
	$ls=$_POST['ls'];
	//$midcateName=replaceCatesName($_POST['midcateName']);
	$midcateName=trim($_POST['midcateName']);
	
	//获得大类名称，用来判读此类下是否有同名的中类
	$cateName = trim($_POST['cateName']);
	$cateTitle=$_POST['cateTitle'];
	$cateKeywords=$_POST['cateKeywords'];
	$cateDescription=$_POST['cateDescription'];

	$midcateBrief=htmlspecialchars(str_replace("\n","<br />",$_POST['midcateBrief']), ENT_QUOTES);
	$midcateDetail=htmlspecialchars($_POST['midcateDetail'], ENT_QUOTES);
	$midcateFolders=$_POST['midcateFolders'];
	if($midcateFolders=="")				//如果没有设目录则截取
	{$midcateFolders=$midcateName;}
	$midcateFolders=trim(clearFolder(strtolower(substr_cut($midcateFolders,$FolderLength))));
	
	$midcateID=$_POST['midcateID'];
	$cateName=trim($_POST['cateName']);
	if($midcateID!="")
	{
		$cate_sql="select * from ls_products where cateName='".$cateName."' ";
		$cate_query=$opendb->query($cate_sql);
		$cate_rows=mysql_fetch_assoc($cate_query);
		$cateFolders=$cate_rows['cateFolders'];
	}
	switch ($ls)
	{
		case "insert":
			
			// 开始判断是否有重复的
			$select_sql="select * from ls_products where midcateName='".$midcateName."' and cateName='".$cateName."'";
			$select_query=$opendb->query($select_sql);
			$select_rows=mysql_num_rows($select_query);
			if($select_rows==0)
				{
					$path = "../".$cateFolders."/".$midcateFolders;
					//调用建立文件夹函数 createFolder
					createFolder($path);
					//echo 	$path;
					$select_sql2="select * from ls_products where midcateID=".$midcateID." ";
					$select_query2=$opendb->query($select_sql2);
					$select_rows2=mysql_num_rows($select_query2); //总类树
		
					$insert_sql=sprintf("insert into ls_products 
											(cateTitle,cateKeywords,cateDescription,midcateName,midcateFolders,midcateBrief,midcateDetail,midcateID,Num,enable) values (%s,%s,%s,%s,%s,%s,%s,%s,%s,%s) ",
												GetSQLValueString($cateTitle, "text"),
												GetSQLValueString($cateKeywords, "text"),
												GetSQLValueString($cateDescription, "text"),
												GetSQLValueString($midcateName, "text"),
												GetSQLValueString($midcateFolders, "text"),
												GetSQLValueString($midcateBrief, "text"),
												GetSQLValueString($midcateDetail, "text"),												GetSQLValueString($midcateID, "text"),
												GetSQLValueString($select_rows2+1, "int"),
												GetSQLValueString("1", "int")
											 );
					//echo $insert_sql;
					$insert_query=$opendb->query($insert_sql);
					writelog($_SERVER['PHP_SELF'],"add mid-category: ".$midcateName,"ID: ".$id);
					echo "<script>alert('数据添加成功！');location='cate.php';</script>";
				}
				else
				{
					echo "<script>alert('已存在此中类名！\\n请填写别的中类名！');history.go(-1);</script>";	
				}
			break;
		
		case "update":
				
				$select_sql="select * from ls_products where ID='".$midcateID."' ";
				$select_query=$opendb->query($select_sql);
				$select_rows=mysql_fetch_assoc($select_query);
				//获取文件夹路径
				$pathNew = "../".$cateFolders."/".$midcateFolders;
				$pathOld = "../".$cateFolders."/".$select_rows['midcateFolders'];
				if($pathNew!=$pathOld)
				{
				//文件夹换名
		  		rename($pathOld,$pathNew);
				}
				//开始更新数据
				$update_sql=sprintf("update ls_products set cateTitle=%s, cateKeywords=%s, cateDescription=%s, midcateName=%s, midcateFolders=%s,midcateBrief=%s,midcateDetail=%s where ID=%s ",
												GetSQLValueString($cateTitle, "text"),
												GetSQLValueString($cateKeywords, "text"),
												GetSQLValueString($cateDescription, "text"),
												GetSQLValueString($midcateName, "text"),
												GetSQLValueString($midcateFolders, "text"),
												GetSQLValueString($midcateBrief, "text"),
												GetSQLValueString($midcateDetail, "text"),					
												GetSQLValueString($midcateID, "text")
												);
					//echo $update_sql;
					$update_query=$opendb->query($update_sql);
					writelog($_SERVER['PHP_SELF'],"modify mid-category: ".$midcateName,"ID: ".$midcateID);
					echo "<script>alert('数据更新成功！');location='cate.php';</script>";
			break;
	}
	
	if($_GET['ls']=="del")
	{
				
				$id=$_GET['id'];
				//echo $id;	
				$select_midcate_sql="select * from ls_products where ID=".$id."";
				$select_midcate_query=$opendb->query($select_midcate_sql);
				$select_midcate_rows=mysql_fetch_assoc($select_midcate_query);
				
				$select_cate_sql="select * from ls_products where ID='".$select_midcate_rows['midcateID']."'";
				$select_cate_query=$opendb->query($select_cate_sql);
				$select_cate_rows=mysql_fetch_assoc($select_cate_query);
				
				//获取文件夹路径
				$path = "../".$select_cate_rows['cateFolders']."/".$select_midcate_rows['midcateFolders'];
				//删除文件夹
	   		//die($path."<br>");
			@unlink($path."/indexdetails.html");
			@unlink($path."/index.html");
	   		rmdir($path);
	   		$del_sql="delete from ls_products where ID=".$id."";
	   		//echo $del_sql;
	   		$del_query=$opendb->query($del_sql);
			$num_sql2="update ls_products set Num=Num-1 where Num>".$select_midcate_rows['Num']." ";//all order number-1
			$down_query=$opendb->query($num_sql2);
			writelog($_SERVER['PHP_SELF'],"delete mid-category: ".$midcateName,"ID: ".$id);
	   		echo "<script>alert('数据删除成功！');location='cate.php';</script>";
	   		
	}
?>

</body>
</html>